{ pkgs, lib, config, inputs, ... }:

{
  # https://devenv.sh/basics/
  env.GREET = "devenv";

  # https://devenv.sh/packages/
  packages = [
    pkgs.git
    pkgs.python312Packages.beautifulsoup4
    pkgs.python312Packages.black
    pkgs.python312Packages.bpython
    pkgs.python312Packages.docopt
    pkgs.python312Packages.isort
    pkgs.python312Packages.pandas
    pkgs.python312Packages.pytest
    pkgs.python312Packages.qbittorrent-api
    pkgs.python312Packages.requests
    pkgs.python312Packages.resend
    pkgs.python312Packages.rich
    pkgs.python312Packages.tabulate
    pkgs.pyright
    pkgs.shellcheck
  ];

  # https://devenv.sh/languages/
  # languages.rust.enable = true;
  languages.python.enable = true;

  enterShell = ''
    hello
    git --version
  '';
}
